import * as React from 'react';
import { MapStateToProps, ProviderProps, ReactReduxContextValue } from 'react-redux';
import { Action, ScopeState } from './store';
import { ScopedActionCreator, UnscopedActionCreator } from './store/types';
export declare const ScopeContext: React.Context<{
    scope: string;
    editable?: boolean | undefined;
}>;
export declare const EditorContext: React.Context<ReactReduxContextValue<Record<string, ScopeState>, import("redux").AnyAction>>;
export declare function Provider(props: ProviderProps<Action> & {
    children: React.ReactNode;
}): JSX.Element;
export declare function connect<StateProps, DispatchProps extends Record<string, ScopedActionCreator>, OwnProps extends {
    scope: string;
}>(mapStateToProps: MapStateToProps<StateProps, OwnProps, ScopeState>, mapDispatchToProps: {
    [K in keyof DispatchProps]: UnscopedActionCreator<DispatchProps[K]>;
}): import("react-redux").InferableComponentEnhancerWithProps<StateProps & import("react-redux").ResolveThunks<{ [K in keyof { [K in keyof DispatchProps]: UnscopedActionCreator<DispatchProps[K]>; }]: ScopedActionCreator<{ [K in keyof DispatchProps]: UnscopedActionCreator<DispatchProps[K]>; }[K]>; }>, OwnProps>;
export declare function connectStateOnly<StateProps, OwnProps extends {
    scope: string;
}>(mapStateToProps: MapStateToProps<StateProps, OwnProps, ScopeState>): import("react-redux").InferableComponentEnhancerWithProps<import("react-redux").DispatchProp<import("redux").AnyAction> & StateProps, OwnProps>;
//# sourceMappingURL=editor-context.d.ts.map