import { CustomTheme } from '@edtr-io/ui';
import * as React from 'react';
import { Plugin } from './plugin';
import { actions, selectors, ChangeListener, ScopedActionCreator } from './store';
export declare function Editor<K extends string = string>(props: EditorProps<K>): JSX.Element;
export declare const EditorProvider: React.FunctionComponent<{
    omitDragDropContext?: boolean;
}>;
export declare function Document<K extends string = string>({ scope, mirror, ...props }: EditorProps<K> & {
    scope?: string;
    mirror?: boolean;
}): JSX.Element | null;
export declare const InnerDocument: import("react-redux").ConnectedComponentClass<(<K extends string = string>({ id, initRoot, undo, redo, children, initialState, mirror, plugins, defaultPlugin, scope, editable, theme, onChange }: EditorProps<K> & {
    scope: string;
    mirror?: boolean | undefined;
} & EditorStateProps & EditorDispatchProps) => JSX.Element | null), Pick<EditorProps<string> & {
    scope: string;
    mirror?: boolean | undefined;
} & EditorStateProps & EditorDispatchProps, "plugins" | "children" | "scope" | "theme" | "onChange" | "editable" | "mirror" | "omitDragDropContext" | "defaultPlugin" | "initialState"> & EditorProps<string> & {
    scope: string;
}>;
export interface EditorStateProps {
    id: ReturnType<typeof selectors['getRoot']>;
}
export declare type EditorDispatchProps = {
    initRoot: ScopedActionCreator<typeof actions['initRoot']>;
    undo: ScopedActionCreator<typeof actions['undo']>;
    redo: ScopedActionCreator<typeof actions['redo']>;
};
export interface EditorProps<K extends string = string> {
    omitDragDropContext?: boolean;
    children?: React.ReactNode | ((document: React.ReactNode) => React.ReactNode);
    plugins: Record<K, Plugin>;
    defaultPlugin: K;
    initialState?: {
        plugin: string;
        state?: unknown;
    };
    theme?: CustomTheme;
    onChange?: ChangeListener;
    editable?: boolean;
}
//# sourceMappingURL=editor.d.ts.map