export declare function useEditorFocus(scope?: string): {
    focusPrevious: () => {
        type: "FocusPrevious";
        scope: string;
    };
    focusNext: () => {
        type: "FocusNext";
        scope: string;
    };
};
export declare function useEditorHistory(scope?: string): {
    hasPendingChanges: boolean;
    undo: () => {
        type: "Undo";
        scope: string;
    };
    redo: () => {
        type: "Redo";
        scope: string;
    };
    persist: () => void;
    reset: () => void;
};
export declare function useStore(scope?: string): {
    dispatch: <T, P>(actionCreator: ((scope: string) => {
        type: T;
        payload?: P | undefined;
        scope: string;
    }) | ((scope: string) => {
        type: T;
        scope: string;
    })) => {
        type: T;
        scope: string;
    };
    getState: () => import("./store").ScopeState;
    subscribe: (listener: () => void) => import("redux").Unsubscribe;
};
export declare function useScopedStore(): {
    dispatch: <T, P>(actionCreator: ((scope: string) => {
        type: T;
        payload?: P | undefined;
        scope: string;
    }) | ((scope: string) => {
        type: T;
        scope: string;
    })) => {
        type: T;
        scope: string;
    };
    getState: () => import("./store").ScopeState;
    subscribe: (listener: () => void) => import("redux").Unsubscribe;
};
export declare type EditorStore = ReturnType<typeof useStore>;
//# sourceMappingURL=hooks.d.ts.map