import { StoreDeserializeHelpers } from '../../plugin-state';
import { ActionFromActionCreator, DocumentState } from '../types';
export declare const insert: {
    (payload: {
        id: string;
        plugin?: string | undefined;
        state?: unknown;
    }): (scope: string) => {
        type: "Insert";
        payload: {
            id: string;
            plugin?: string | undefined;
            state?: unknown;
        };
        scope: string;
    };
    type: "Insert";
};
export declare type InsertAction = ActionFromActionCreator<typeof insert>;
export declare const pureInsert: {
    (payload: {
        id: string;
    } & DocumentState): (scope: string) => {
        type: "PureInsert";
        payload: {
            id: string;
        } & DocumentState;
        scope: string;
    };
    type: "PureInsert";
};
export declare type PureInsertAction = ActionFromActionCreator<typeof pureInsert>;
export declare const remove: {
    (payload: string): (scope: string) => {
        type: "Remove";
        payload: string;
        scope: string;
    };
    type: "Remove";
};
export declare type RemoveAction = ActionFromActionCreator<typeof remove>;
export declare const change: {
    (payload: {
        id: string;
        state: (value: unknown, helpers: StoreDeserializeHelpers<string, unknown>) => unknown;
    }): (scope: string) => {
        type: "Change";
        payload: {
            id: string;
            state: (value: unknown, helpers: StoreDeserializeHelpers<string, unknown>) => unknown;
        };
        scope: string;
    };
    type: "Change";
};
export declare type ChangeAction = ActionFromActionCreator<typeof change>;
export declare const pureChange: {
    (payload: {
        id: string;
        state: unknown;
    }): (scope: string) => {
        type: "PureChange";
        payload: {
            id: string;
            state: unknown;
        };
        scope: string;
    };
    type: "PureChange";
};
export declare type PureChangeAction = ActionFromActionCreator<typeof pureChange>;
export declare type DocumentsAction = InsertAction | PureInsertAction | RemoveAction | PureChangeAction | ChangeAction;
export declare const publicDocumentsActions: {
    insert: {
        (payload: {
            id: string;
            plugin?: string | undefined;
            state?: unknown;
        }): (scope: string) => {
            type: "Insert";
            payload: {
                id: string;
                plugin?: string | undefined;
                state?: unknown;
            };
            scope: string;
        };
        type: "Insert";
    };
    remove: {
        (payload: string): (scope: string) => {
            type: "Remove";
            payload: string;
            scope: string;
        };
        type: "Remove";
    };
    change: {
        (payload: {
            id: string;
            state: (value: unknown, helpers: StoreDeserializeHelpers<string, unknown>) => unknown;
        }): (scope: string) => {
            type: "Change";
            payload: {
                id: string;
                state: (value: unknown, helpers: StoreDeserializeHelpers<string, unknown>) => unknown;
            };
            scope: string;
        };
        type: "Change";
    };
};
//# sourceMappingURL=actions.d.ts.map