import { Action } from './actions';
import { ScopeState } from './types';
export declare function createAction<T, P>(type: T): {
    (payload: P): (scope: string) => {
        type: T;
        payload: P;
        scope: string;
    };
    type: T;
};
export declare function createActionWithoutPayload<T>(type: T): {
    (): (scope: string) => {
        type: T;
        scope: string;
    };
    type: T;
};
export declare function createSubReducer<K extends keyof ScopeState>(key: K, initialState: ScopeState[K], actionsMap: CaseReducersMapObject<ScopeState[K]>): SubReducer<ScopeState[K]>;
export declare function scopeSelector<T, P extends any[]>(selector: (state: ScopeState, ...args: P) => T, scope: string): (storeState: Record<string, ScopeState>, ...args: P) => T;
export declare type SubReducer<S = unknown> = (action: Action, state: ScopeState | undefined) => S;
export interface CaseReducersMapObject<S = unknown> {
    [actionType: string]: CaseReducer<S, any>;
}
export declare type CaseReducer<S = unknown, A extends Action = Action> = (subState: S, action: A, state: ScopeState) => S;
//# sourceMappingURL=helpers.d.ts.map