import { ActionFromActionCreator } from '../types';
export declare const persist: {
    (): (scope: string) => {
        type: "Persist";
        scope: string;
    };
    type: "Persist";
};
export declare type PersistAction = ActionFromActionCreator<typeof persist>;
export declare const reset: {
    (): (scope: string) => {
        type: "Reset";
        scope: string;
    };
    type: "Reset";
};
export declare type ResetAction = ActionFromActionCreator<typeof reset>;
export declare const pureReset: {
    (): (scope: string) => {
        type: "PureReset";
        scope: string;
    };
    type: "PureReset";
};
export declare type PureResetAction = ActionFromActionCreator<typeof pureReset>;
export declare const commit: {
    (payload: unknown[]): (scope: string) => {
        type: "Commit";
        payload: unknown[];
        scope: string;
    };
    type: "Commit";
};
export declare type CommitAction = ActionFromActionCreator<typeof commit>;
export declare const pureCommit: {
    (payload: {
        combine: boolean;
        actions: unknown[];
    }): (scope: string) => {
        type: "PureCommit";
        payload: {
            combine: boolean;
            actions: unknown[];
        };
        scope: string;
    };
    type: "PureCommit";
};
export declare type PureCommitAction = ActionFromActionCreator<typeof pureCommit>;
export declare const undo: {
    (): (scope: string) => {
        type: "Undo";
        scope: string;
    };
    type: "Undo";
};
export declare type UndoAction = ActionFromActionCreator<typeof undo>;
export declare const pureUndo: {
    (): (scope: string) => {
        type: "PureUndo";
        scope: string;
    };
    type: "PureUndo";
};
export declare type PureUndoAction = ActionFromActionCreator<typeof pureUndo>;
export declare const redo: {
    (): (scope: string) => {
        type: "Redo";
        scope: string;
    };
    type: "Redo";
};
export declare type RedoAction = ActionFromActionCreator<typeof redo>;
export declare const pureRedo: {
    (): (scope: string) => {
        type: "PureRedo";
        scope: string;
    };
    type: "PureRedo";
};
export declare type PureRedoAction = ActionFromActionCreator<typeof pureRedo>;
export declare type HistoryAction = PersistAction | ResetAction | PureResetAction | CommitAction | PureCommitAction | UndoAction | PureUndoAction | RedoAction | PureRedoAction;
export declare const publicHistoryActions: {
    persist: {
        (): (scope: string) => {
            type: "Persist";
            scope: string;
        };
        type: "Persist";
    };
    reset: {
        (): (scope: string) => {
            type: "Reset";
            scope: string;
        };
        type: "Reset";
    };
    undo: {
        (): (scope: string) => {
            type: "Undo";
            scope: string;
        };
        type: "Undo";
    };
    redo: {
        (): (scope: string) => {
            type: "Redo";
            scope: string;
        };
        type: "Redo";
    };
};
//# sourceMappingURL=actions.d.ts.map