export { Action } from './actions';
export { createStore, ChangeListener } from './store';
export { DocumentState, EditorState, ScopeState, ActionCreator, ActionFromActionCreator, ScopedActionCreator } from './types';
export declare const actions: {
    initRoot: {
        (payload: {
            initialState?: {
                plugin?: string | undefined;
                state?: unknown;
            } | undefined;
            plugins: Record<string, import("..").Plugin<import("../plugin-state").StateDescriptor<any, any, unknown>, any>>;
            defaultPlugin: string;
        }): (scope: string) => {
            type: "InitRoot";
            payload: {
                initialState?: {
                    plugin?: string | undefined;
                    state?: unknown;
                } | undefined;
                plugins: Record<string, import("..").Plugin<import("../plugin-state").StateDescriptor<any, any, unknown>, any>>;
                defaultPlugin: string;
            };
            scope: string;
        };
        type: "InitRoot";
    };
    persist: {
        (): (scope: string) => {
            type: "Persist";
            scope: string;
        };
        type: "Persist";
    };
    reset: {
        (): (scope: string) => {
            type: "Reset";
            scope: string;
        };
        type: "Reset";
    };
    undo: {
        (): (scope: string) => {
            type: "Undo";
            scope: string;
        };
        type: "Undo";
    };
    redo: {
        (): (scope: string) => {
            type: "Redo";
            scope: string;
        };
        type: "Redo";
    };
    focus: {
        (payload: string): (scope: string) => {
            type: "Focus";
            payload: string;
            scope: string;
        };
        type: "Focus";
    };
    focusNext: {
        (): (scope: string) => {
            type: "FocusNext";
            scope: string;
        };
        type: "FocusNext";
    };
    focusPrevious: {
        (): (scope: string) => {
            type: "FocusPrevious";
            scope: string;
        };
        type: "FocusPrevious";
    };
    insert: {
        (payload: {
            id: string;
            plugin?: string | undefined;
            state?: unknown;
        }): (scope: string) => {
            type: "Insert";
            payload: {
                id: string;
                plugin?: string | undefined;
                state?: unknown;
            };
            scope: string;
        };
        type: "Insert";
    };
    remove: {
        (payload: string): (scope: string) => {
            type: "Remove";
            payload: string;
            scope: string;
        };
        type: "Remove";
    };
    change: {
        (payload: {
            id: string;
            state: (value: unknown, helpers: import("../plugin-state").StoreDeserializeHelpers<string, unknown>) => unknown;
        }): (scope: string) => {
            type: "Change";
            payload: {
                id: string;
                state: (value: unknown, helpers: import("../plugin-state").StoreDeserializeHelpers<string, unknown>) => unknown;
            };
            scope: string;
        };
        type: "Change";
    };
    copy: {
        (payload: string | null): (scope: string) => {
            type: "Copy";
            payload: string | null;
            scope: string;
        };
        type: "Copy";
    };
};
export declare const selectors: {
    getRoot: typeof import("./root/reducer").getRoot;
    serializeRootDocument: typeof import("./root/reducer").serializeRootDocument;
    getDefaultPlugin: typeof import("./plugins/reducer").getDefaultPlugin;
    getPlugins: typeof import("./plugins/reducer").getPlugins;
    getPlugin: typeof import("./plugins/reducer").getPlugin;
    getPendingChanges: typeof import("./history/reducer").getPendingChanges;
    hasPendingChanges: typeof import("./history/reducer").hasPendingChanges;
    isFocused: typeof import("./focus/reducer").isFocused;
    getFocusTree: typeof import("./focus/reducer").getFocusTree;
    findPreviousNode: typeof import("./focus/reducer").findPreviousNode;
    findNextNode: typeof import("./focus/reducer").findNextNode;
    getDocument: typeof import("./documents/reducer").getDocument;
    serializeDocument: typeof import("./documents/reducer").serializeDocument;
    isEmpty: typeof import("./documents/reducer").isEmpty;
    getClipboard: typeof import("./clipboard/reducer").getClipboard;
};
//# sourceMappingURL=index.d.ts.map